$ceProfilesLoaded = 0;
if(!$ceProfilesLoaded)
{
	$ceProfilesLoaded = 1;

	while(isObject(ceDefaultProfile))
		ceDefaultProfile.delete();
	new GuiControlProfile(ceDefaultProfile)
	{
		tab = "0";
		canKeyFocus = "0";
		mouseOverSelected = "0";
		modal = "1";
		opaque = "0";
		fillColor = "200 200 200 255";
		fillColorHL = "200 200 200 255";
		fillColorNA = "200 200 200 255";
		border = "0";
		borderThickness = "1";
		borderColor = "0 0 0 255";
		borderColorHL = "128 128 128 255";
		borderColorNA = "64 64 64 255";
		fontType = "Arial";
		fontSize = "16";
		fontColors[0] = "0 0 0 255";
		fontColors[1] = "32 100 100 255";
		fontColors[2] = "0 0 0 255";
		fontColors[3] = "200 200 200 255";
		fontColors[4] = "0 0 204 255";
		fontColors[5] = "85 26 139 255";
		fontColors[6] = "0 0 0 0";
		fontColors[7] = "0 0 0 0";
		fontColors[8] = "0 0 0 0";
		fontColors[9] = "0 0 0 0";
		fontColor = "69 69 69 255";
		fontColorHL = "128 128 128 255";
		fontColorNA = "200 200 200 255";
		fontColorSEL = "200 200 200 255";
		fontColorLink = "0 0 204 255";
		fontColorLinkHL = "85 26 139 255";
		doFontOutline = "0";
		fontOutlineColor = "255 255 255 255";
		justify = "left";
		textOffset = "0 0";
		autoSizeWidth = "0";
		autoSizeHeight = "0";
		returnTab = "0";
		numbersOnly = "0";
		cursorColor = "0 0 0 255";
		bitmap = "base/client/ui/BlockWindow";
		hasBitmapArray = "0";
	};
	
	while(isObject(ceWindowProfile))
		ceWindowProfile.delete();
	new GuiControlProfile(ceWindowProfile : ceDefaultProfile)
	{
		opaque = "1";
		fillColor = "255 255 255 255";
		fillColorHL = "171 171 171 255";
		fillColorNA = "171 171 171 255";
		border = "2";
		borderThickness = "1";
		borderColor = "0 0 0 255";
		borderColorHL = "128 128 128 255";
		borderColorNA = "64 64 64 255";
		fontType = "Impact";
		fontSize = "18";
		fontColor = "255 255 255 255";
		textOffset = "5 4";
		bitmap = "./style/window.png";
		hasBitmapArray = "1";
		text = "Window";
	};
	
	while(isObject(ceButtonProfile))
		ceButtonProfile.delete();
	new GuiControlProfile(ceButtonProfile : ceDefaultProfile)
	{
		opaque = "1";
		fillColor = "255 255 255 255";
		fillColorHL = "0 0 0 255";
		fillColorNA = "221 202 173 255";
		fontSize = "24";
		justify = "center";
	};
	
	while(isObject(ceTabButtonProfile))
		ceTabButtonProfile.delete();
	new GuiControlProfile(ceTabButtonProfile : ceDefaultProfile)
	{
		opaque = "1";
		fillColor = "255 255 255 255";
		fillColorHL = "0 0 0 255";
		fillColorNA = "221 202 173 255";
		justify = "center";
	};
	
	while(isObject(ceMediumTextProfile))
		ceMediumTextProfile.delete();
	new GuiControlProfile(ceMediumTextProfile : ceDefaultProfile)
	{
		fontSize = "20";
	};
	
	while(isObject(ceLargeTextProfile))
		ceLargeTextProfile.delete();
	new GuiControlProfile(ceLargeTextProfile : ceDefaultProfile)
	{
		fontSize = "24";
	};
	
	while(isObject(ceLargeCenterTextProfile))
		ceLargeCenterTextProfile.delete();
	new GuiControlProfile(ceLargeCenterTextProfile : ceLargeTextProfile)
	{
		justify = "center";
	};
	
	while(isObject(ceScrollProfile))
		ceScrollProfile.delete();
	new GuiControlProfile(ceScrollProfile : ceDefaultProfile)
	{
		opaque = "1";
		fillColor = "247 247 247 255";
		bitmap = "./style/scroll";
		hasBitmapArray = "1";
	};
	
	while(isObject(ceRadioProfile))
		ceRadioProfile.delete();
	new GuiControlProfile(ceRadioProfile : ceDefaultProfile)
	{
		bitmap = "./style/radio";
		fixedExtent = "1";
		hasBitmapArray = "1";
	};
	
	while(isObject(ceTextEditSliderProfile))
		ceTextEditSliderProfile.delete();
	new GuiControlProfile(ceTextEditSliderProfile : ceDefaultProfile)
	{
		fontSize = "20";
		textOffset = "0 2";
	};
	
	while(isObject(ceDropDownMenuProfile))
		ceDropDownMenuProfile.delete();
	new GuiControlProfile(ceDropDownMenuProfile : ceDefaultProfile)
	{
		opaque = "1";
		fillColor = "200 200 200 255";
		fillColorHL = "180 180 180 255";
		border = "1";
		borderThickness = "1";
		borderColor = "69 69 69 255";
		fontSize = "22";
		justify = "center";
	};
	
	while(isObject(ceTextEditProfile))
		ceTextEditProfile.delete();
	new GuiControlProfile(ceTextEditProfile : ceDefaultProfile)
	{
		canKeyFocus = "1";
		opaque = "1";
		fillColor = "247 247 247 255";
		border = "1";
		borderThickness = "1";
		borderColor = "127 127 127 255";
		fontSize = "16";
		justify = "left";
		textOffset = "0 2";
	};
	
	while(isObject(ceNumberEditProfile))
		ceNumberEditProfile.delete();
	new GuiControlProfile(ceNumberEditProfile : ceTextEditProfile)
	{
		numbersOnly = "1";
	};
}
